Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class PastryNetworkTest

    java.lang.Object
      rice.pastry.testing.PastryNetworkTest

    public class PastryNetworkTest

extends java.lang.Object

Utility class for checking the consistency of an existing pastry network.

Field Summary
`protected java.net.InetSocketAddress` | `bootstrap`
`protected java.util.HashSet` | `dead`
`protected Environment` | `environment`
`protected SocketPastryNodeFactory` | `factory`
`protected int` | `MAX_THREADS`
`protected java.util.HashSet` | `nodes`
`protected java.util.HashSet` | `unknown`

Constructor Summary
`PastryNetworkTest(Environment env, SocketPastryNodeFactory factory, java.net.InetSocketAddress bootstrap)`

Method Summary
`protected java.util.HashMap` | `fetchLeafSets()`
`protected java.util.HashMap` | `fetchRouteRow(int row)`
`static void` | `main(java.lang.String[] args)`
`void` | `start()`
`protected void` | `testLeafSets()`
`protected void` | `testRouteRow(int row)`
`protected void` | `testRoutingTables()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected SocketPastryNodeFactory factory

### bootstrap

    protected java.net.InetSocketAddress bootstrap

### nodes

    protected java.util.HashSet nodes

### dead

    protected java.util.HashSet dead

### unknown

    protected java.util.HashSet unknown

### MAX_THREADS

    protected final int MAX_THREADS

See Also:
  Constant Field Values

### environment

    protected Environment environment

Constructor Detail

### PastryNetworkTest

    public PastryNetworkTest(Environment env,
                             SocketPastryNodeFactory factory,
                             java.net.InetSocketAddress bootstrap)

Method Detail

### fetchLeafSets

    protected java.util.HashMap fetchLeafSets()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLeafSets

    protected void testLeafSets()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fetchRouteRow

    protected java.util.HashMap fetchRouteRow(int row)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### testRouteRow

    protected void testRouteRow(int row)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### testRoutingTables

    protected void testRoutingTables()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.